=== debian/control ===
Source: ros-crystal-rmw-fastrtps-shared-cpp
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake-ros, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-fastcdr, ros-crystal-fastrtps, ros-crystal-fastrtps-cmake-module, ros-crystal-rcutils, ros-crystal-rmw, ros-crystal-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-crystal-rmw-fastrtps-shared-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-ament-cmake, ros-crystal-fastcdr, ros-crystal-fastrtps, ros-crystal-fastrtps-cmake-module, ros-crystal-rcutils, ros-crystal-rmw, ros-crystal-ros-workspace
Description: Code shared on static and dynamic type support of rmw_fastrtps_cpp.
